Bug 224290 - Crash in pirut
Crash in pirut
Status: CLOSED DUPLICATE of bug 224292
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 22:10 EST by Michael Norred
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 07:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pirut crash (1.19 KB, application/octet-stream)
2007-01-25 06:57 EST, Domenico Romano
no flags Details

  None (edit)
Description Michael Norred 2007-01-24 22:10:46 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Started Add/Remove Spftware from Gnome, during the read of the
 installed software, I received the following crash report:
Component: Software Manager
Summary: TB8a9160cb comps.py:143:parse_package_list:CompsException

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 453, in ?
    main()
  File "/usr/sbin/pirut", line 449, in main
    pm.run()
  File "/usr/sbin/pirut", line 358, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 373, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 153, in reposSetup
    self.doGroupSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 408, in doGroupSetup
    self.comps.add(groupfile)
  File "/usr/lib/python2.4/site-packages/yum/comps.py", line 339, in add
    group = Group(elem)
  File "/usr/lib/python2.4/site-packages/yum/comps.py", line 57, in __init__
    self.parse(elem)
  File "/usr/lib/python2.4/site-packages/yum/comps.py", line 133, in parse
    self.parse_package_list(child)
  File "/usr/lib/python2.4/site-packages/yum/comps.py", line 143, in
parse_package_list
    raise CompsException
CompsException

Local variables in innermost frame:
genre: optinoal
self: Graphics
package: digikam
packagelist_elem: <Element 'packagelist' at 0x9d39110>
child: <Element 'packagereq' at 0x9d39020>



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Domenico Romano 2007-01-25 06:57:48 EST
Created attachment 146526 [details]
pirut crash
Comment 2 Michael Schwendt 2007-01-25 07:18:04 EST
This bug is older than bug 224292, but the other one has inline info
and is in NEEDINFO already.


*** This bug has been marked as a duplicate of 224292 ***

Note You need to log in before you can comment on or make changes to this bug.